DefaultGrailsTagDateHelper (Grails 3.2.4)
Date: 2016-12-21

Package: org.grails.plugins.web

## [Groovy] Class DefaultGrailsTagDateHelper

- org.grails.plugins.web.DefaultGrailsTagDateHelper

- All Implemented Interfaces and Traits:
    GrailsTagDateHelper

      @groovy.transform.CompileStatic
      class DefaultGrailsTagDateHelper
      extends java.lang.Object

  The default implementation of GrailsTagDateHelper

  Authors:
    James Kleeh
  See Also:
    GrailsTagDateHelper
  Since:
    3.2.1

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.GregorianCalendar` | `buildCalendar(java.lang.Object date)`
    `java.lang.String` | `format(java.lang.Object formatter, java.lang.Object date)`
    `java.lang.Object` | `getDateFormat(java.lang.String style, java.lang.Object timeZone, java.util.Locale locale)`
    `java.lang.Object` | `getDateTimeFormat(java.lang.String dateStyle, java.lang.String timeStyle, java.lang.Object timeZone, java.util.Locale locale)`
    `java.lang.Object` | `getFormatFromPattern(java.lang.String format, java.lang.Object timeZone, java.util.Locale locale)`
    `java.lang.Object` | `getTimeFormat(java.lang.String style, java.lang.Object timeZone, java.util.Locale locale)`
    `java.lang.Object` | `getTimeZone(java.lang.Object timeZone)`
    `java.lang.Boolean` | `supportsDatePicker(java.lang.Class clazz)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override java.util.GregorianCalendar buildCalendar(java.lang.Object date)

    - #### @java.lang.Override java.lang.String format(java.lang.Object formatter, java.lang.Object date)

    - #### @java.lang.Override java.lang.Object getDateFormat(java.lang.String style, java.lang.Object timeZone, java.util.Locale locale)

    - #### @java.lang.Override java.lang.Object getDateTimeFormat(java.lang.String dateStyle, java.lang.String timeStyle, java.lang.Object timeZone, java.util.Locale locale)

    - #### @java.lang.Override java.lang.Object getFormatFromPattern(java.lang.String format, java.lang.Object timeZone, java.util.Locale locale)

    - #### @java.lang.Override java.lang.Object getTimeFormat(java.lang.String style, java.lang.Object timeZone, java.util.Locale locale)

    - #### @java.lang.Override java.lang.Object getTimeZone(java.lang.Object timeZone)

    - #### @java.lang.Override java.lang.Boolean supportsDatePicker(java.lang.Class clazz)